export const types = {
    LOGIN_REQUEST: 'LOGIN_REQUEST',
    LOGIN_SUCCESS: 'LOGIN_SUCCESS',
    LOGIN_FAILED: 'LOGIN_FAILED',

    LOGOUT_REQUEST: 'LOGOUT_REQUEST',
    LOGOUT_SUCCESS: 'LOGOUT_SUCCESS',
    LOGOUT_FAILED: 'LOGOUT_FAILED',
    
    REGISTER_REQUEST: 'REGISTER_REQUEST',
    RESGISTER_SUCCESS: 'RESGISTER_SUCCESS',
    RESGISTER_FAILED: 'RESGISTER_FAILED',

    INPUT_PELAJARAN_REQUEST: 'INPUT_PELAJARAN_REQUEST',
    INPUT_PELAJARAN_SUCCESS: 'INPUT_PELAJARAN_SUCCESS',
    INPUT_PELAJARAN_FAILED: 'INPUT_PELAJARAN_FAILED',

    GET_PELAJARAN_REQUEST: 'GET_PELAJARAN_REQUEST',
    GET_PELAJARAN_SUCCESS: 'GET_PELAJARAN_SUCCESS',
    GET_PELAJARAN_FAILED: 'GET_PELAJARAN_FAILED',

    INPUT_SOAL_REQUEST: 'INPUT_SOAL_REQUEST',
    INPUT_SOAL_SUCCESS: 'INPUT_SOAL_SUCCESS',
    INPUT_SOAL_FAILED: 'INPUT_SOAL_FAILED',

    GET_SOAL_REQUEST: 'GET_SOAL_REQUEST',
    GET_SOAL_SUCCESS: 'GET_SOAL_SUCCESS',
    GET_SOAL_FAILED: 'GET_SOAL_FAILED',

    INPUT_USER_REQUEST: 'INPUT_USER_REQUEST',
    INPUT_USER_SUCCESS: 'INPUT_USER_SUCCESS',
    INPUT_USER_FAILED: 'INPUT_USER_FAILED',

    GET_USER_REQUEST: 'GET_USER_REQUEST',
    GET_USER_SUCCESS: 'GET_USER_SUCCESS',
    GET_USER_FAILED: 'GET_USER_FAILED',
}